﻿#footer-left {
    display: flex;
    flex-direction: row;
}

/*說明文件內文樣式定義 -start-*/
.modal_ext {
    left: 0;
}

#documentPrivacyPolicy h1,
#documentQA h1,
#documentOrderRule h1,
#documentMovieRating h1 {
    margin: 0px 10px 15px;
    padding: 0;
    width: max-content;
    font-family: impact, arial-black; /* 設定成比較粗的字體 */
    font-size: 1.4rem;
    line-height: 1;
    color: #0000; /* 文字顏色設定為透明 */
    background: linear-gradient(var(--deg), #B22D2D 50%, #000 50%); /* 套用角度自訂屬性 */
    background-clip: text;
    animation: a 2s linear infinite; /* 動畫 */
}

#documentOrderRule .modal-content,
#documentPrivacyPolicy .modal-content,
#documentQA .modal-content,
#documentMovieRating .modal-content {
    width: 70%;
    height: 80%;
    position: fixed;
    top: 10%;
    left: 15%;
    margin: 0;
    padding: 20px;
    border: hidden;
    color: black;
    background: #ebebeb;
}

#documentOrderRule .modal-body,
#documentPrivacyPolicy .modal-body,
#documentQA .modal-body,
#documentMovieRating .modal-body {
    border: 1px solid #000;
    border-radius: 10px;
    padding: 5px;
    height: 93%;
}

#documentOrderRule .modal-header,
#documentPrivacyPolicy .modal-header,
#documentQA .modal-header,
#documentMovieRating .modal-header {
    font-size: 1rem;
    font-weight: 900;
}

.doc_attention {
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    position: relative;
    overflow-y: auto;
    height: 100%;
    padding: 25px;
}

.doc_title-font {
    font-size: 1rem;
    color: #B22D2D;
    font-weight: 700;
}

.doc_m-font {
    font-size: 0.9rem;
    color: #232323;
}

.doc_note {
    padding-bottom: 20px;
    border-bottom: 1px dashed #B22D2D;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

#documentOrderRule li,
#documentMovieRating li {
    list-style: decimal-leading-zero;
    margin-left: 40px;
    margin-bottom: 5px;
    line-height: 25px;
}

#documentPrivacyPolicy li,
#documentQA li {
    list-style: trad-chinese-informal;
    margin-left: 45px;
    margin-bottom: 5px;
    line-height: 25px;
}

.close-modal_ext {
    font-size: 0.7em;
    color: #ebebeb;
    background-color: #232323;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    bottom: 0px;
    line-height: 38px;
    top: 1em;
    right: 1.4em;
}

@media all and (max-width: 1024px) {
    #documentOrderRule .modal-content,
    #documentPrivacyPolicy .modal-content,
    #documentMovieRating .modal-content {
        width: 94%;
        height: 80%;
        position: fixed;
        top: 10%;
        left: 3%;
        margin: 0;
        padding: 10px;
    }

    #documentOrderRule .modal-body,
    #documentPrivacyPolicy .modal-body,
    #documentMovieRating .modal-body {
        height: 95%;
    }

    .doc_attention {
        height: -webkit-fit-content;
        height: -moz-fit-content;
        height: fit-content;
        position: relative;
        overflow-y: auto;
        height: 100%;
        padding: 10px;
    }

    #documentOrderRule li,
    #documentPrivacyPolicy li,
    #documentMovieRating li {
        margin-left: 25px;
        margin-bottom: 5px;
        line-height: 18px;
    }

    .close-modal_ext {
        font-size: 0.85em;
        width: 30px;
        height: 30px;
        line-height: 28px;
        margin-top: -5px;
    }

    #documentOrderRule .modal-header h1,
    #documentPrivacyPolicy .modal-header h1,
    #documentMovieRating .modal-header h1 {
        margin: 3px 10px 10px;
    }
}
/*說明文件內文樣式定義 -end-*/

/*app-download樣式 -start-*/
.app-promo {
    padding: 0;
    margin-top: 0.5em;
    margin-right: 0px !important;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.button {
    width: 90%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 0 .5rem rgba(239, 83, 80, .5);
    /*color: #111925;*/
    /*background-color: #fbfcff;*/
    margin: 5px 0px !important;
    gap: 0px !important;
    border-color: #B22D2D;
    border-radius: 10px;
    padding: 10px 5px;
    /*background-color: #101010;*/
    transition: background-color 0.25s linear;
    color: #fff;
    background: -webkit-linear-gradient(right, #DD4B4B, #3A3042);
    background: -o-linear-gradient(right, #B22D2D, #DD4B4B);
    background: -moz-linear-gradient(right, #B22D2D, #DD4B4B);
    background: linear-gradient(right, #B22D2D, #DD4B4B);
}

@media (max-width: 768px) {
    .button {
        width: 100%;
    }
}

    .button > span {
        margin: 0px !important;
    }

.button:hover {
    /*opacity: .75;*/
    /*background-color: #454545;*/
    background: #D1494A;
}
    /*app-download樣式 -end-*/

    .footer_customservice {
        font-size: clamp(0.03125rem, -0.2029rem + 1.0706vw, 0.6rem);
    }

    /*---------------------------------------*/
